singleton Material(sunburst_SF_)
{
    mapTo = "sunburst_SF_";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_c.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_widebody)
{
    mapTo = "sunburst_SF_widebody";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_c.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_carbonfibre)
{
    mapTo = "sunburst_SF_carbonfibre";
    detailMap[2] = "vehicles/common/carbonfibre.dds";
    diffuseMap[1] = "vehicles/common/carbonfibre_d.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "0.7 0.7 0.7 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    detailScale[2] = 35;
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF.skin.gendarmerie")
{
    mapTo = "sunburst_SF.skin.gendarmerie";
    overlayMap[2] = "vehicles/sunburst_SF/sunburst_SF_skin_gendarmerie.dds";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_c.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF.skin.police")
{
    mapTo = "sunburst_SF.skin.police";
    overlayMap[2] = "vehicles/sunburst_SF/sunburst_SF_skin_police.dds";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_c.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF.skin.policers")
{
    mapTo = "sunburst_SF.skin.policers";
    overlayMap[2] = "vehicles/sunburst_SF/sunburst_SF_skin_policers.dds";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_c.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF.skin.custom")
{
    mapTo = "sunburst_SF.skin.custom";
	colorPaletteMap[2] = "vehicles/sunburst_SF/sunburst_SF_skin_custom_palette_uv1.dds";
    overlayMap[2] = "vehicles/sunburst_SF/sunburst_SF_skin_custom.dds";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_c.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF_glass.skin.custom")
{
    mapTo = "sunburst_SF_glass.skin.custom";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_glass_skin_custom.dds";
    opacityMap[0] = "vehicles/sunburst_SF/sunburst_SF_glass_skin_custom.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_glass_da_skin_custom.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF_glass_int.skin.custom")
{
    mapTo = "sunburst_SF_glass_int.skin.custom";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_glass_skin_custom.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF_windshield_dmg.skin.custom")
{
    mapTo = "sunburst_SF_windshield_dmg.skin.custom";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_glass_dmg_skin_custom.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF.skin.rally")
{
    mapTo = "sunburst_SF.skin.rally";
	colorPaletteMap[2] = "vehicles/sunburst_SF/sunburst_SF_skin_rally_palette_uv1.dds";
    overlayMap[2] = "vehicles/sunburst_SF/sunburst_SF_skin_rally.dds";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_c.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF_widebody.skin.gendarmerie")
{
    mapTo = "sunburst_SF_widebody.skin.gendarmerie";
    overlayMap[2] = "vehicles/sunburst_SF/sunburst_SF_skin_gendarmerie.dds";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_c.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF_widebody.skin.police")
{
    mapTo = "sunburst_SF_widebody.skin.police";
    overlayMap[2] = "vehicles/sunburst_SF/sunburst_SF_skin_police.dds";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_c.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF_widebody.skin.policers")
{
    mapTo = "sunburst_SF_widebody.skin.policers";
    overlayMap[2] = "vehicles/sunburst_SF/sunburst_SF_skin_policers.dds";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_c.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF_widebody.skin.custom")
{
    mapTo = "sunburst_SF_widebody.skin.custom";
    overlayMap[2] = "vehicles/sunburst_SF/sunburst_SF_skin_custom.dds";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_c.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_SF_widebody.skin.rally")
{
    mapTo = "sunburst_SF_widebody.skin.rally";
    overlayMap[2] = "vehicles/sunburst_SF/sunburst_SF_skin_rally.dds";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_c.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_widebody_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_clear)
{
    mapTo = "sunburst_SF_clear";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_glass_skin_custom.dds";
    specularMap[0] = "vehicles/sunburst_SF/sunburst_SF_s.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "0.5 0.5 0.5 1";
    diffuseColor[1] = "0.2 0.2 0.2 1";
    diffuseColor[2] = "0.5 0.5 0.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    doubleSided = "0";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "lerpAlpha";
    alphaTest = "0";
    alphaRef = "1";
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_screen)
{
    mapTo = "sunburst_SF_screen";
    diffuseMap[0] = "@screen_gps";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    emissive[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_engine)
{
    mapTo = "sunburst_SF_engine";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_engine_d.dds";
    specularMap[0] = "vehicles/sunburst_SF/sunburst_SF_engine_s.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_engine_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_lights)
{
    mapTo = "sunburst_SF_lights";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_lights_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_lights_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(sunburst_SF_lights_on)
{
    mapTo = "sunburst_SF_lights_on";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_lights_g.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_lights_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_lights_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_lights_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_lights_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[0] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_lights_on_intense)
{
    mapTo = "sunburst_SF_lights_on_intense";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_lights_g.dds";
    specularMap[2] = "vehicles/sunburst_SF/sunburst_SF_lights_s.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_lights_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_lights_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_lights_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_lights_dmg)
{
    mapTo = "sunburst_SF_lights_dmg";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_lights_dmg_d.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_lights_dmg_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_glass)
{
    mapTo = "sunburst_SF_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_glass_d.dds";
    opacityMap[0] = "vehicles/sunburst_SF/sunburst_SF_glass_d.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_glass_int)
{
    mapTo = "sunburst_SF_glass_int";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_glass_dmg)
{
    mapTo = "sunburst_SF_glass_dmg";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/sunburst_SF/sunburst_SF_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_windshield_dmg)
{
    mapTo = "sunburst_SF_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_lettering)
{
    mapTo = "sunburst_SF_lettering";
    specularMap[0] = "vehicles/sunburst_SF/sunburst_SF_lettering_s.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_lettering_n.dds";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_lettering_d.dds";
    reflectivityMap[0] = "vehicles/sunburst_SF/sunburst_SF_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(sunburst_SF_seats)
{
    mapTo = "sunburst_SF_seats";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_seats_n.dds";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_seats_d.dds";
    specularMap[0] = "vehicles/sunburst_SF/sunburst_SF_seats_s.dds";
    specularPower[0] = "20";
    diffuseColor[0] = "1 1 1 1";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_interior)
{
    mapTo = "sunburst_SF_interior";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_interior_n.dds";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_interior_d.dds";
    specularMap[0] = "vehicles/sunburst_SF/sunburst_SF_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_gauges)
{
    mapTo = "sunburst_SF_gauges";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_gauges_d.dds";
    specularMap[0] = "vehicles/sunburst_SF/sunburst_SF_gauges_s.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(sunburst_SF_gauges_on)
{
    mapTo = "sunburst_SF_gauges_on";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_gauges_g.dds";
    specularMap[1] = "vehicles/sunburst_SF/sunburst_SF_gauges_s.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_gauges_n.dds";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_gauges_d.dds";
    specularMap[0] = "vehicles/sunburst_SF/sunburst_SF_gauges_s.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.65";
};

singleton Material(sunburst_SF_display)
{
    mapTo = "sunburst_SF_display";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_display.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "64";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "20";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_rear_diffuser)
{
    mapTo = "sunburst_SF_rear_diffuser";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_raceparts_n.dds";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_raceparts_d.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_spoiler_L)
{
    mapTo = "sunburst_SF_spoiler_L";
    diffuseMap[2] = "vehicles/sunburst_SF/sunburst_SF_raceparts_c.dds";
    specularMap[2] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/sunburst_SF/sunburst_SF_raceparts_n.dds";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_raceparts_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/sunburst_SF/sunburst_SF_raceparts_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_raceparts_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_rallylights)
{
    mapTo = "sunburst_SF_rallylights";
    normalMap[0] = "vehicles/sunburst_SF/sunburst_SF_rallylights_n.dds";
    diffuseMap[0] = "vehicles/sunburst_SF/sunburst_SF_rallylights_d.dds";
    specularMap[0] = "vehicles/sunburst_SF/sunburst_SF_rallylights_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "128";
    specularColoe[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_SF_decals)
{
    mapTo = "sunburst_SF_decals";
    diffuseMap[1] = "vehicles/sunburst_SF/sunburst_SF_decals.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0 0 0 0";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(sunburst_SF_reverselight)
{
    mapTo = "sunburst_SF_reverselight";
};

singleton Material(sunburst_SF_signal_R)
{
    mapTo = "sunburst_SF_signal_R";
};

singleton Material(sunburst_SF_chmsl)
{
    mapTo = "sunburst_SF_chmsl";
};

singleton Material(sunburst_SF_foglight)
{
    mapTo = "sunburst_SF_foglight";
};

singleton Material(sunburst_SF_taillight_L)
{
    mapTo = "sunburst_SF_taillight_L";
};

singleton Material(sunburst_SF_signal_L)
{
    mapTo = "sunburst_SF_signal_L";
};

singleton Material(sunburst_SF_lowbeam)
{
    mapTo = "sunburst_SF_lowbeam";
};

singleton Material(sunburst_SF_highbeam)
{
    mapTo = "sunburst_SF_highbeam";
};

singleton Material(sunburst_SF_taillight_R)
{
    mapTo = "sunburst_SF_taillight_R";
};
